> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Notifications

> PATCH /settings/notifications — update notification preferences.



## OpenAPI

````yaml /openapi.json patch /v1/notifications
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/notifications:
    patch:
      tags:
        - settings
      summary: Patch Notifications
      description: PATCH /settings/notifications — update notification preferences.
      operationId: patch_notifications_v1_notifications_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationPreferencesPatchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    NotificationPreferencesPatchRequest:
      properties:
        digest_frequency:
          anyOf:
            - enum:
                - realtime
                - daily
                - weekly
                - never
              type: string
            - type: 'null'
          title: Digest Frequency
        email_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Email Enabled
        events:
          anyOf:
            - items:
                $ref: '#/components/schemas/NotifEventPatchItem'
              type: array
            - type: 'null'
          title: Events
        min_risk_score_for_alert:
          anyOf:
            - maximum: 100
              minimum: 0
              type: integer
            - type: 'null'
          title: Min Risk Score For Alert
        min_severity_for_alert:
          anyOf:
            - enum:
                - p1
                - p2
                - p3
                - p4
              type: string
            - type: 'null'
          title: Min Severity For Alert
        notify_on_new_issue:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Notify On New Issue
        notify_on_pattern_detected:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Notify On Pattern Detected
        notify_on_prediction:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Notify On Prediction
        notify_on_recommendation:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Notify On Recommendation
        notify_on_report_ready:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Notify On Report Ready
        slack_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Slack Enabled
        teams_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Teams Enabled
      title: NotificationPreferencesPatchRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NotifEventPatchItem:
      properties:
        email:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Email
        in_app:
          anyOf:
            - type: boolean
            - type: 'null'
          title: In App
        key:
          title: Key
          type: string
        slack:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Slack
      required:
        - key
      title: NotifEventPatchItem
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````